/* 팝업 모음 팝업 오픈 버튼 */
.__popup-open {
  flex: 0 0 calc((100% - 20px) / 3);
  border: 1px solid var(--h-main-color);
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px 10px;
  font-size: 0.8rem;
}
/* //팝업 모음 팝업 오픈 버튼 */

/* ver1 - 안내문구만 있는 팝업 */
.__popup-wrap.ver1,
.__popup-wrap.ver2,
.__popup-wrap.ver3,
.__popup-wrap.ver4 {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  z-index: 11111;
  background-color: rgba(0, 0, 0, 0.5019607843);
}
.__popup.ver1 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  width: 100%;
  max-width: 400px;
  border-radius: 10px;
  overflow: hidden;
}
@media (max-width: 719px) {
  .__popup.ver1 {
    max-width: unset;
    min-width: 328px;
    width: 59.4%;
  }
}
@media (max-width: 479.9px) {
  .__popup.ver1 {
    max-width: 328px;
    min-width: unset;
    width: 90%;
  }
}
.__pop-header.ver1 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 18px;
  background-color: #e9e9e9;
}
@media (max-width: 719px) {
  .__pop-header.ver1 {
    padding: 10px 16px 11px;
  }
}
.__pop-header.ver1 .__title.ver1 {
  font-size: 16px;
  line-height: 24px;
  color: #555;
}
@media (max-width: 719px) {
  .__pop-header.ver1 .__title.ver1 {
    font-size: 13px;
    line-height: 19px;
  }
}
.__pop-bottom.ver1 {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 16px 16px;
}
.__pop-bottom.ver1 .__button.ver1,
.__pop-bottom.ver1 .__button.ver2 {
  font-size: 16px;
  line-height: 24px;
}
/* //ver1 - 안내문구만 있는 팝업 */

/* ver2 - 영역이 두개로 나뉘는 팝업 */
.__popup.ver2 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  width: 100%;
  max-width: 400px;
  border-radius: 10px;
  overflow: hidden;
}
@media (max-width: 719px) {
  .__popup.ver2 {
    max-width: unset;
    top: auto;
    left: 0;
    bottom: 0;
    transform: unset;
  }
}
.__input-box.ver1 {
  width: 100%;
  border: 1px solid #e9e9e9;
  border-radius: 4px;
  margin-bottom: 24px;
  font-size: 16px;
  line-height: 24px;
  color: #666666;
}
@media (max-width: 719px) {
  .__input-box.ver1 {
    margin-bottom: 20px;
    font-size: 14px;
    line-height: 20px;
  }
}
/* // ver2 - 영역이 두개로 나뉘는  팝업 */

/* ver3 - __pop-header가 없고 선물박스 이미지가 있는 팝업 */
.__popup-wrap.ver3 .__popup.ver1 {
  overflow: unset;
  background-color: unset;
}

@media (max-width: 479.9px) {
  .__popup-wrap.ver3 .__popup.ver1 {
    max-width: unset;
    top: unset;
    left: 0;
    transform: unset;
    bottom: 50px;
    width: 100%;
  }
}
.__popup-wrap.ver3 .__pop-main.ver1 {
  position: relative;
  padding: 57px 20px 16px;
  width: 100%;
  text-align: center;
  background-image: linear-gradient(123deg, #46149c 3%, #4a75be 97%);
}
@media (max-width: 479.9px) {
  .__popup-wrap.ver3 .__pop-main.ver1 {
    padding: 43px 16px 16px;
  }
}
.__popup-wrap.ver3 .__pop-main.ver1 .__text-box.ver1 {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  padding: 16px 0 20px;
  margin-bottom: 16px;
  width: 100%;
  height: 120px;
  background: url('/publish/img/popup/img-frame-bg-fff.webp') no-repeat center / cover;
}
@media (max-width: 479.9px) {
  .__popup-wrap.ver3 .__pop-main.ver1 .__text-box.ver1 {
    padding: 14px 0 16px;
    height: 102px;
    background-size: 100% 102px;
  }
}
.__popup-wrap.ver3 .__pop-main.ver1 .__button.ver8 {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 16px;
  line-height: 24px;
  color: #fff;
}
@media (max-width: 479.9px) {
  .__popup-wrap.ver3 .__pop-main.ver1 .__button.ver8 {
    font-size: 14px;
    line-height: 20px;
  }
}
/* //ver3 -  __pop-header가 없고 선물박스 이미지가 있는 팝업 */

/* ver4 - __pop-bottom의 위치가 __pop-main.ver1과 떨어져 있는 팝업 */
.__popup-wrap.ver4 .__popup.ver1 {
  width: 60%;
  overflow: unset;
  background-color: unset;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__popup.ver1 {
    /* max-width: 260px; */
    min-width: 260px;
  }
}
.__popup-wrap.ver4 .__pop-header.ver1 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #6335b4;
  border-radius: 8px 8px 0 0;
  padding: 12px 16px;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__pop-header.ver1 {
    border-radius: 6px 6px 0 0;
  }
}
.__popup-wrap.ver4 .__pop-header.ver1 .__title.ver1 {
  font-size: 14px;
  line-height: 20px;
  color: #fff;
}
.__popup-wrap.ver4 .__pop-header.ver1 .__button.ver1 {
  position: absolute;
  width: 40px;
  height: 40px;
  border-radius: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  top: -52px;
  right: 0;
}
.__popup-wrap.ver4 .__pop-header.ver1 .__button.ver1 .__img.ver1 {
  width: 16px;
  height: 16px;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__pop-header.ver1 .__button.ver1 {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    top: -46px;
  }
  .__popup-wrap.ver4 .__pop-header.ver1 .__button.ver1 .__img.ver1 {
    display: block;
    width: 14px;
    height: 14px;
  }
}
.__popup-wrap.ver4 .__pop-main.ver1 {
  position: relative;
  padding: 20px 0 68px;
  margin-bottom: 12px;
  background-color: #fff;
  border-radius: 0 0 8px 8px;
  overflow: hidden;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__pop-main.ver1 {
    margin-bottom: 10px;
    border-radius: 0 0 6px 6px;
  }
}
.__popup-wrap.ver4 .__pop-main.ver1 .__text-box.ver1 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  margin-bottom: 19px;
  font-size: 22px;
  line-height: 33px;
  font-weight: bold;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__pop-main.ver1 .__text-box.ver1 {
    gap: 10px;
    margin-bottom: 20px;
    font-size: 18px;
    line-height: 27px;
  }
}
.__popup-wrap.ver4 .__pop-main.ver1 .__text-box.ver1 .__img.ver1 {
  width: 26px;
  margin-top: 1px;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__pop-main.ver1 .__text-box.ver1 .__img.ver1 {
    width: 24px;
  }
}
.__popup-wrap.ver4 .__pop-main.ver1 .__img-box.ver1 {
  width: 200px;
  margin: 0 auto;
}
.__popup-wrap.ver4 .__pop-bottom.ver1 {
  padding: 20px;
  border-radius: 8px;
  background-color: #fff;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__pop-bottom.ver1 {
    padding: 20px 18px;
    border-radius: 6px;
  }
}
.__popup-wrap.ver4 .__button.ver2 {
  font-size: 16px;
  line-height: 24px;
}
@media (max-width: 719px) {
  .__popup-wrap.ver4 .__button.ver2 {
    font-size: 14px;
    line-height: 20px;
  }
}
/* // ver4 - __pop-bottom의 위치가 __pop-main.ver1과 떨어져 있는 팝업 */
/* ver5 잠깐 나타났다 사라지는 토스트 팝업 */
.__popup.ver5 {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  bottom: 90px;
  left: 50%;
  z-index: 9;
  transform: translateX(-50%);
  padding: 9px 0 11px;
  width: 366px;
  border-radius: 4px;
  background-color: #222222e6;
}
@media (max-width: 719px) {
  .__popup.ver5 {
    bottom: 81px;
    padding: 10px 0;
    width: calc(100% - 32px);
  }
}
.__popup.ver5 .__text.ver1 {
  font-size: 16px;
  line-height: 24px;
  color: #fff;
}
/* //ver5 잠깐 나타났다 사라지는 토스트 팝업 */
/* ver6 아이콘이 있는 토스트 팝업 */
.__popup.ver6 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: absolute;
  z-index: 9;
  top: -67px;
  right: 16px;
  padding: 16px;
  padding-right: 20px;
  width: 100%;
  max-width: 366px;
  border-radius: 4px;
  background-color: #222222e6;
}
@media (max-width: 719px) {
  .__popup.ver6 {
    top: unset;
    bottom: 125px;
    right: 0;
    padding: 14px;
    padding-right: 16px;
    max-width: unset;
    width: 100%;
  }
}
.__popup.ver6 .__text.ver1 {
  width: 85%;
  font-size: 16px;
  line-height: 24px;
  color: #fff;
}
@media (max-width: 719px) {
  .__popup.ver6 .__text.ver1 {
    font-size: 14px;
    line-height: 21px;
  }
}
.__popup.ver6 .__button.ver5 {
  padding: 4px;
  cursor: pointer;
  box-sizing: border-box;
  cursor: pointer;
  -webkit-appearance: none;
}
.__popup.ver6 .__button.ver5 .__img1 {
  width: 16px;
}
@media (max-width: 719px) {
  .__popup.ver6 .__button.ver5 .__img1 {
    width: 12px;
  }
}
/* //ver6 아이콘이 있는 토스트 팝업 */
/* 260202 오늘의 운세 모달 커스텀 */
@media (max-width: 719px) {
.sajurelationModal.__popup{
  border-radius:10px 10px 0 0;
}
}
.sajurelationModal.__popup .__pop-main{
  padding: 24px 16px 30px !important;
}
@media (max-width: 719px) {
.sajurelationModal.__popup .__pop-main{
  padding: 20px 16px 30px !important;
}
}

.sajubirthModal.__popup .__pop-main{
  padding: 20px 16px !important;
}
@media (max-width: 719px) {
.sajubirthModal.__popup .__pop-main{
  padding: 16px !important;
}
}

.sajutimeModal.__popup .__pop-main{
  padding: 20px 16px !important;
}
@media (max-width: 719px) {
.sajutimeModal.__popup .__pop-main{
  padding: 16px !important;
}
}
@media (max-width: 719px) {
.luckAiShareButtons {
  max-height: 215px;
}
}
/* //260202 오늘의 운세 모달 커스텀 */